package com.spider.quartz.service.impl;

import java.util.List;

import com.spider.common.utils.DateUtils;
import com.spider.quartz.domain.ExcelDownloadLog;
import com.spider.quartz.mapper.ExcelDownloadLogMapper;
import com.spider.quartz.service.IExcelDownloadLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 美国、欧盟召回数据excel 下载记录Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-11-27
 */
@Service
public class ExcelDownloadLogServiceImpl implements IExcelDownloadLogService
{
    @Autowired
    private ExcelDownloadLogMapper excelDownloadLogMapper;

    /**
     * 查询美国、欧盟召回数据excel 下载记录
     * 
     * @param id 美国、欧盟召回数据excel 下载记录主键
     * @return 美国、欧盟召回数据excel 下载记录
     */
    @Override
    public ExcelDownloadLog selectExcelDownloadLogById(Long id)
    {
        return excelDownloadLogMapper.selectExcelDownloadLogById(id);
    }

    /**
     * 查询美国、欧盟召回数据excel 下载记录列表
     * 
     * @param excelDownloadLog 美国、欧盟召回数据excel 下载记录
     * @return 美国、欧盟召回数据excel 下载记录
     */
    @Override
    public List<ExcelDownloadLog> selectExcelDownloadLogList(ExcelDownloadLog excelDownloadLog)
    {
        return excelDownloadLogMapper.selectExcelDownloadLogList(excelDownloadLog);
    }

    /**
     * 新增美国、欧盟召回数据excel 下载记录
     * 
     * @param excelDownloadLog 美国、欧盟召回数据excel 下载记录
     * @return 结果
     */
    @Override
    public int insertExcelDownloadLog(ExcelDownloadLog excelDownloadLog)
    {
        excelDownloadLog.setCreateTime(DateUtils.getNowDate());
        return excelDownloadLogMapper.insertExcelDownloadLog(excelDownloadLog);
    }

    /**
     * 修改美国、欧盟召回数据excel 下载记录
     * 
     * @param excelDownloadLog 美国、欧盟召回数据excel 下载记录
     * @return 结果
     */
    @Override
    public int updateExcelDownloadLog(ExcelDownloadLog excelDownloadLog)
    {
        excelDownloadLog.setUpdateTime(DateUtils.getNowDate());
        return excelDownloadLogMapper.updateExcelDownloadLog(excelDownloadLog);
    }

    /**
     * 批量删除美国、欧盟召回数据excel 下载记录
     * 
     * @param ids 需要删除的美国、欧盟召回数据excel 下载记录主键
     * @return 结果
     */
    @Override
    public int deleteExcelDownloadLogByIds(Long[] ids)
    {
        return excelDownloadLogMapper.deleteExcelDownloadLogByIds(ids);
    }

    /**
     * 删除美国、欧盟召回数据excel 下载记录信息
     * 
     * @param id 美国、欧盟召回数据excel 下载记录主键
     * @return 结果
     */
    @Override
    public int deleteExcelDownloadLogById(Long id)
    {
        return excelDownloadLogMapper.deleteExcelDownloadLogById(id);
    }
}
